Bug 321581 - Segfault when select 'show details' (or double click) on torrent
Segfault when select 'show details' (or double click) on torrent
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 15:51 EDT by Tom London
Modified: 2008-01-15 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 12:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log from segv run (46.87 KB, text/plain)
2007-10-06 15:51 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2007-10-06 15:51:18 EDT
Description of problem:
Get a segfault when trying to open 'details' for a torrent.

Here is output:

[tbl@localhost ~]$ azureus
changeLocale: *Default Language* != English (United States). Searching without
country..
changeLocale: Searching for language English in *any* country..
changeLocale: no message properties for Locale 'English (United States)'
(en_US), using 'English (default)'
DEBUG::Sat Oct 06 12:45:42 PDT
2007::com.aelitis.azureus.core.impl.AzureusCoreImpl$8::runSupport::512:
  java.lang.NullPointerException
        at
org.gudy.azureus2.ui.swt.updater2.SWTUpdateChecker.initialize(SWTUpdateChecker.java:67)
        at
org.gudy.azureus2.ui.swt.mainwindow.Initializer$4.started(Initializer.java:258)
        at
com.aelitis.azureus.core.impl.AzureusCoreImpl$8.runSupport(AzureusCoreImpl.java:508)
        at org.gudy.azureus2.core3.util.AEThread.run(AEThread.java:69)

#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00420d6a, pid=5382, tid=12622736
#
# Java VM: IcedTea Server VM (11.0-b05 mixed mode linux-x86)
# Problematic frame:
# V  [libjvm.so+0x30fd6a]
#
# An error report file with more information is saved as:
# /home/tbl/hs_err_pid5382.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
/usr/bin/azureus: line 18:  5382 Aborted                
LD_LIBRARY_PATH=/usr/lib/eclipse:/usr/lib
CLASSPATH=/usr/lib/eclipse/swt-gtk-3.3.jar:`build-classpath bcprov
jakarta-commons-cli log4j gtk2.8 glib0.2`:/usr/share/azureus/Azureus2.jar java
-Dgnu.gcj.runtime.VMClassLoader.library_control=never
-Dazureus.install.path=$APPDIR org.gudy.azureus2.ui.swt.Main "$@"
[tbl@localhost ~]$ 


Version-Release number of selected component (if applicable):
azureus-2.5.0.4-3.fc8

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-10-06 15:51:18 EDT
Created attachment 218501 [details]
error log from segv run
Comment 2 Espen Stefansen 2007-10-11 08:31:43 EDT
This happens for me as well. Only difference is that it fails just after it's
started.
Comment 3 Noa Resare 2007-11-24 07:28:32 EST
This problem is not present when downloading and running the upstream version 2.5.0.4 on F8
Comment 4 Lillian Angel 2007-12-03 12:07:33 EST
Updated to azureus-3.0.3.4-1.fc9. 
Should be available tomorrow in rawhide.
Comment 5 Fedora Update System 2008-01-15 18:04:34 EST
azureus-3.0.3.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.